Subject: Re: [PATCH v2 04/11] contrib: remove "thunderbird-patch-inline"

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 12 May 2025 16:45:25 +0200

On Mon, May 12, 2025 at 02:02:43PM +0100, Phillip Wood wrote:
> Hi Collin
> 
> On 12/05/2025 05:05, Collin Funk wrote:
> > Hi,
> > 
> > You said:
> > 
> > > The "thunderbird-patch-inline" directory in "contrib/" contains a script
> > > to send patch files via Thunderbird. This script depends on the
> > > ExternalEditor extension [1], which seems to be effectively unmaintained
> > > with the last update being in 2008. While the extension has eventually
> > > been maintained in [2], that fork hasn't received any updates since
> > > 2020, either.
> > > 
> > > In addition, the script itself hasn't really seen a lot of maintenance
> > > outside of a couple of global cleanups. It is quite unlikely that this
> > > setup still works, and if it did it's even less likely that somebody
> > > uses this script.
> > 
> > FWIW, in case it helps any Thunderbird users, there is External Editor
> > Revived which seems to work pretty well when I used Thunderbird [1].
> 
> Thanks for pointing that out. I noticed that extensional the other day
> but had not got around to posting it.
> 
> > I think this script would be irrelevant with that extension though.
> 
> Users who want to post patches using thunderbird would still benefit
> from the script. It needs tweaking to account for a different
> separator between the headers and message body though. The patch below
> does that.

The question to me is whether we want that patch though. It is clear
that nobody has bothered in the past couple of years, so why would
someone care now?

It's nice to have this patch on the list so that somebody searching
for discussions around the tool may find it. But I'd personally prefer
to not carry around legacy code that nobody seems to be using and
maintaining.

Patrick